# TMR_MultiReadPlan Struct Reference
[Read plans]

`#include <tmr_read_plan.h>`

List of all members.

## Public Attributes

TMR_ReadPlan ** | plans
uint8_t | planCount

## Detailed Description

A MultiReadPlan contains a list of other ReadPlan objects. The relative weights of each of the included sub-plans are used determine what fraction of the total read time to allot to that sub-plan (for example, if the first plan has a weight of 20 and the second has a weight of 10, the first 2/3 of any read will use the first plan, and the remaining 1/3 will use the second plan). MultiReadPlan is useful for specifying searches over multiple protocols, for using different filters on different antennas, and other combinations.

## Member Data Documentation

uint8_t TMR_MultiReadPlan::planCount

Internal value - initialize to 0 Number of elements in the array of read plans

TMR_ReadPlan** TMR_MultiReadPlan::plans

Array of pointers to the subsidiary read plans

The documentation for this struct was generated from the following file:

- tmr_read_plan.h